SoComposeVec4f(3IV)

NAME
SoComposeVec4f — composes 4D vectors from floating-point values

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoComposeVec4f

SYNOPSIS
#include <Inventor/engines/SoCompose.h>

Inputs from class SoComposeVec4f:

SoMFFloat
x
SoMFFloat
y
SoMFFloat
z
SoMFFloat
w

Outputs from class SoComposeVec4f:

(SoMFVec4f)
vector

Methods from class SoComposeVec4f:

SoComposeVec4f()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes four floating-point inputs and composes a 4D vector.

The input fields can have multiple values, allowing the engine to compose several vectors in parallel. Some inputs may have more values than others. In such cases, the last value of the shorter inputs will be repeated as necessary.

INPUTS
SoMFFloat
x
The x component.

SoMFFloat
y
The y component.

SoMFFloat
z
The z component.

SoMFFloat
w
The w component.

OUTPUTS
(SoMFVec4f)
vector
Vector composed of x, y, z, and w.

METHODS

SoComposeVec4f()
Constructor

FILE FORMAT/DEFAULTS
ComposeVec4f {
x	0
y	0
z	0
w	0
}

SEE ALSO
SoDecomposeVec4f, SoEngineOutput